Bug 727570 - kipi-plugins drags in digikam (F16+)
Summary: kipi-plugins drags in digikam (F16+)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: digikam
Version: rawhide
Hardware: All
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Steven M. Parrish
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: depchain
TreeView+ depends on / blocked
 
Reported: 2011-08-02 13:40 UTC by Kevin Kofler
Modified: 2011-08-22 15:08 UTC (History)
4 users (show)

Fixed In Version: digikam-2.0.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-08-22 15:08:11 UTC


Attachments (Terms of Use)

Description Kevin Kofler 2011-08-02 13:40:14 UTC
Description of problem:
kipi-plugins Requires digikam-libs which Requires digikam. This is bad. kipi-plugins can also be used with e.g. Gwenview.

Version-Release number of selected component (if applicable):
digikam-2.0.0-1.fc17 and any previous Digikam 2.0.0 (RC or final) build.

How reproducible:
Always

Steps to Reproduce:
1. Try installing kipi-plugins without Digikam.
  
Actual results:
Digikam is dragged in.

Expected results:
Digikam is not dragged in.

Additional info:
I have to omit kipi-plugins on the F16 Alpha live CD because of this. (We're already having to omit Digikam because of space issues.)

Comment 1 Kevin Kofler 2011-08-02 13:46:39 UTC
Something in kipi-plugins requires libkgeomap.

Comment 2 Kevin Kofler 2011-08-02 13:47:57 UTC
And for extra fun, libkgeomap requires Marble.

Comment 3 Rex Dieter 2011-08-02 20:18:16 UTC
%changelog
* Tue Aug 02 2011 Rex Dieter <rdieter@fedoraproject.org> 2.0.0-2
- new libkface, libkgeomap, libmediawiki subpkgs (#727570)

I currently do a 
Obsoletes: digikam-devel < 2.0.0-2
(in main)

Any opinions on if we ought to keep a digikam-devel virtual pkg that
Requires: libkface-devel libkgeomap-devel libmediawiki-devel
instead?

Comment 4 Fedora Update System 2011-08-02 21:33:02 UTC
digikam-2.0.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/digikam-2.0.0-2.fc16

Comment 5 Fedora Update System 2011-08-03 19:14:46 UTC
Package digikam-2.0.0-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing digikam-2.0.0-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/digikam-2.0.0-2.fc16
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-08-22 15:08:06 UTC
digikam-2.0.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.